Updates the user_skill_list object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

user_skill_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key to user

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_skill_list

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_skill_list

user

Optionally required : user_id, user_code or user must be provided

skill_id

Foreign key to skill

globally unique identifier

Optionally required : skill_id, skill_code or skill must be provided

skill_code

Embedded entity "skill" using ERP PK when adding/updating user_skill_list

string

Optionally required : skill_id, skill_code or skill must be provided

skill

Embedded entity "skill" using node when adding/updating user_skill_list

skill

Optionally required : skill_id, skill_code or skill must be provided

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "2efef9e7-3ba3-48d2-a6e7-d38065e29d93",
  "user_id": "4a2b7fc0-5329-4ea4-85c1-1936fd2e1bab",
  "user_code": "sample string 3",
  "user": {
    "id": "cb8fd903-db44-46a1-9673-8ee5f92ca92c",
    "db_language_id": "9b3a63fa-c52b-4981-b6ba-4cc16f66f4bd",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-10-18T03:39:03.5306054+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "549f5867-eda1-4816-b7a4-28cb34ed4a8d",
    "sales_organization": {
      "id": "f6e5a694-a87d-46a4-bd03-2082f61fc293",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "deb5ef8d-81fb-4bb6-98d4-7ffd948015ca",
      "db_currency_id": "f39d1226-8ba0-4429-ad4c-61618260e605",
      "db_language_id": "70be4e9a-1436-439e-83ba-4d47229010da",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-18T03:39:03.5306054+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "8d2e1df7-9d01-4946-b09e-1aa6419a2552",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "231d0ecf-b867-4ce5-a7f4-6a13bce2d668",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-10-18T03:39:03.5306054+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "e562b8c5-3066-438c-83ae-be684f002b17"
  },
  "skill_id": "3841f845-df58-4455-a02d-71656d573453",
  "skill_code": "sample string 5",
  "skill": {
    "id": "7c22c185-5371-4baf-93e9-a71e8afe3c49",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "sales_organization_id": "de4bf4d7-f3a9-4e0f-b261-782ceff58cb3",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "f6e5a694-a87d-46a4-bd03-2082f61fc293",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "deb5ef8d-81fb-4bb6-98d4-7ffd948015ca",
      "db_currency_id": "f39d1226-8ba0-4429-ad4c-61618260e605",
      "db_language_id": "70be4e9a-1436-439e-83ba-4d47229010da",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-18T03:39:03.5306054+00:00"
    },
    "modified_dateutc": "2026-10-18T03:39:03.5306054+00:00"
  },
  "reference_back_office": "sample string 6",
  "modified_dateutc": "2026-10-18T03:39:03.5306054+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.